Disable a product | Moov Documentation

Disable a product

Disable a product by ID.

The product will no longer be available, but will remain in the system for historical and reporting purposes.

HTTP Method

DELETE

Endpoint

/accounts/{accountID}/products/{productID}

Example Request

curl -X DELETE "https://api.moov.io/accounts/{accountID}/products/{productID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

SDK Examples

JavaScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.products.disable({
    accountID: "9fbe72c0-abba-4bb7-b1d0-d15ee702fe62",
    productID: "1e11a7dc-4e86-41ed-b256-55c22f3bfd38",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\